accrue.analysis.interprocanalysis

## Class AbstractLocation

- java.lang.Object
- - accrue.analysis.interprocanalysis.AbstractLocation

-     public class AbstractLocation
      extends java.lang.Object

  Represents an abstract location, i.e., zero or more concrete locations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARRAY_CONTENTS`
    `HContext` | `context`
    `polyglot.types.FieldInstance` | `fi`
    `java.lang.String` | `fieldName`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearMemoization()`
    `static AbstractLocation` | `create(polyglot.types.FieldInstance fi)`
    `static AbstractLocation` | `create(HContext on, polyglot.types.FieldInstance fi)`
    `static AbstractLocation` | `create(HContext on, java.lang.String fieldName)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ARRAY_CONTENTS

          public static final java.lang.String ARRAY_CONTENTS

      See Also:
        Constant Field Values

    - #### context

          public final HContext context

    - #### fi

          public final polyglot.types.FieldInstance fi

    - #### fieldName

          public final java.lang.String fieldName

  - ### Method Detail

    - #### clearMemoization

          public static void clearMemoization()

    - #### create

          public static AbstractLocation create(HContext on,
                                polyglot.types.FieldInstance fi)

    - #### create

          public static AbstractLocation create(polyglot.types.FieldInstance fi)

    - #### create

          public static AbstractLocation create(HContext on,
                                java.lang.String fieldName)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`